# Uses of Class
org.eclipse.emf.cdo.server.IRepositoryProtector.UserInfo

Packages that use IRepositoryProtector.UserInfo
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.

## Uses of IRepositoryProtector.UserInfo in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return IRepositoryProtector.UserInfo
Modifier and Type
Method
Description
`abstract IRepositoryProtector.UserInfo`
IRepositoryProtector.UserAuthenticator.`authenticateUser(String userID, char[] password)`
`IRepositoryProtector.UserInfo`
IRepositoryProtector.UserInfoChangedEvent.`getNewUserInfo()`
`IRepositoryProtector.UserInfo`
IRepositoryProtector.UserInfoChangedEvent.`getOldUserInfo()`
`IRepositoryProtector.UserInfo`
IRepositoryProtector.`getUserInfo(String userID)`
Methods in org.eclipse.emf.cdo.server that return types with arguments of type IRepositoryProtector.UserInfo
Modifier and Type
Method
Description
`Class<? extends IRepositoryProtector.UserInfo>`
IRepositoryProtector.UserAuthenticator.`getUserInfoClass()`
Methods in org.eclipse.emf.cdo.server with parameters of type IRepositoryProtector.UserInfo
Modifier and Type
Method
Description
`abstract void`
IRepositoryProtector.CommitHandler.`afterCommit(IStoreAccessor.CommitContext commitContext, IRepositoryProtector.UserInfo userInfo)`
Called after the commit has succeeded.
`abstract CDOPermission`
IRepositoryProtector.RevisionAuthorizer.`authorizeRevision(ISession session, IRepositoryProtector.UserInfo userInfo, CDOBranchPoint securityContext, CDORevisionProvider revisionProvider, CDORevision revision)`
`abstract void`
IRepositoryProtector.CommitHandler.`beforeCommit(IStoreAccessor.CommitContext commitContext, IRepositoryProtector.UserInfo userInfo)`
Called before the commit is security checked and passed to the repository.
`final int`
IRepositoryProtector.UserInfo.`compareTo(IRepositoryProtector.UserInfo o)`
`protected boolean`
IRepositoryProtector.UserInfo.`isStructurallyEqual(IRepositoryProtector.UserInfo userInfo)`
Constructors in org.eclipse.emf.cdo.server with parameters of type IRepositoryProtector.UserInfo
Modifier
Constructor
Description
``
`UserInfoChangedEvent(IRepositoryProtector notifier, IRepositoryProtector.UserInfo oldUserInfo, IRepositoryProtector.UserInfo newUserInfo)`